From 45681e882d54aaa7defa15dfd2b5eaaa6856cb50 Mon Sep 17 00:00:00 2001
From: Joshua Parker <redracer2000@gmail.com>
Date: Mon, 9 Nov 2020 13:44:57 -0600
Subject: [PATCH] Fix issue #2976

This commit modifies output_parsed_csv() in an attempt to
address issue #2976, where on some platforms the behavior
may be different with regard to printing c-style multi-line
comment strings within the debug csv output
---
 src/output.cpp                               | 6 +-----
 tests/cli/output/class_enum_struct_union.csv | 4 ++--
 2 files changed, 3 insertions(+), 7 deletions(-)

diff --git a/src/output.cpp b/src/output.cpp
index a8d853fa2..4760eaac5 100644
--- a/src/output.cpp
+++ b/src/output.cpp
@@ -544,11 +544,7 @@ void output_parsed_csv(FILE *pfile)
          {
             for (auto *ch = pc->text(); *ch != '\0'; ++ch)
             {
-               if (  *ch > 0
-                  || !chunk_is_token(pc, CT_COMMENT_MULTI))
-               {
-                  fprintf(pfile, "%c", *ch);
-               }
+               fprintf(pfile, "%c", *ch);
 
                if (*ch == '"')
                {
diff --git a/tests/cli/output/class_enum_struct_union.csv b/tests/cli/output/class_enum_struct_union.csv
index d08f32fdc..5e490f6c1 100644
--- a/tests/cli/output/class_enum_struct_union.csv
+++ b/tests/cli/output/class_enum_struct_union.csv
@@ -1,9 +1,9 @@
 number of loops,4,
 language,CPP,
 Line,Tag,Parent_type,Type of the parent,Column,Orig Col Strt,Orig Col End,Orig Sp Before,Br,Lvl,pp,Flags,Nl Before,Nl After,Text,
-1,COMMENT_MULTI,COMMENT_WHOLE,PARENT_NOT_SET,1,4,7,3,0,0,0,"",9,0," /**    * the enum (and variable declarations thereof) could be of    * the following forms:    *    * ""enum type [: integral_type] { ... } [x, ...]""    * ""enum type [: integral_type]""    * ""enum class type [: integral_type] { ... } [x, ...]""    * ""enum class type [: integral_type]""    * ""enum [: integral_type] { ... } x, ...""    */"
+1,COMMENT_MULTI,COMMENT_WHOLE,PARENT_NOT_SET,1,4,7,3,0,0,0,"",9,0," /**␤    * the enum (and variable declarations thereof) could be of␤    * the following forms:␤    *␤    * ""enum type [: integral_type] { ... } [x, ...]""␤    * ""enum type [: integral_type]""␤    * ""enum class type [: integral_type] { ... } [x, ...]""␤    * ""enum class type [: integral_type]""␤    * ""enum [: integral_type] { ... } x, ...""␤    */"
 10,NEWLINE,NONE,PARENT_NOT_SET,7,7,4,0,0,0,0,"",2,0,
-12,COMMENT_MULTI,COMMENT_WHOLE,PARENT_NOT_SET,1,4,7,0,0,0,0,"",9,0," /**    * the class/struct (and variable declarations thereof) could be of    * the following forms:    *    * template<...> class/struct[<...>] [macros/attributes ...] type [: bases ...] { }    * template<...> class/struct[<...>] [macros/attributes ...] type    * class/struct[ [macros/attributes ...] type [: bases ...] { } [x, ...]    * class/struct [macros/attributes ...] type [x, ...]    * class/struct [macros/attributes ...] [: bases] { } x, ...    */"
+12,COMMENT_MULTI,COMMENT_WHOLE,PARENT_NOT_SET,1,4,7,0,0,0,0,"",9,0," /**␤    * the class/struct (and variable declarations thereof) could be of␤    * the following forms:␤    *␤    * template<...> class/struct[<...>] [macros/attributes ...] type [: bases ...] { }␤    * template<...> class/struct[<...>] [macros/attributes ...] type␤    * class/struct[ [macros/attributes ...] type [: bases ...] { } [x, ...]␤    * class/struct [macros/attributes ...] type [x, ...]␤    * class/struct [macros/attributes ...] [: bases] { } x, ...␤    */"
 21,NEWLINE,NONE,PARENT_NOT_SET,7,7,1,0,0,0,0,"",2,0,
 23,PREPROC,PP_DEFINE,PARENT_NOT_SET,1,1,2,0,1,1,0,"IN_PREPROC,STMT_START,EXPR_START,DONT_INDENT,PUNCTUATOR",0,0," #"
 23,PP_DEFINE,NONE,PARENT_NOT_SET,2,2,8,0,1,1,0,"IN_PREPROC,FORCE_SPACE",0,0,"  define"
